package com.realnet.founder's_friend.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.founder's_friend.Entity.Founders_friend;
import com.realnet.founder's_friend.Services.Founders_friendService ;










@RequestMapping(value = "/Founders_friend")
 @CrossOrigin("*") 
@RestController
public class Founders_friendController {
	@Autowired
	private Founders_friendService Service;

@Value("${projectPath}")
	private String projectPath;
 










	@PostMapping("/Founders_friend")
		  public Founders_friend Savedata(@RequestBody Founders_friend data) {
		Founders_friend save = Service.Savedata(data)	;









		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Founders_friend/{id}")
	public  Founders_friend update(@RequestBody Founders_friend data,@PathVariable Integer id ) {
		Founders_friend update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Founders_friend/getall/page")
	public Page<Founders_friend> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Founders_friend> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Founders_friend")
	public List<Founders_friend> getdetails() {
		 List<Founders_friend> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Founders_friend")
	public List<Founders_friend> getallwioutsec() {
		 List<Founders_friend> get = Service.getdetails();		
		return get;
}
@GetMapping("/Founders_friend/{id}")
	public  Founders_friend  getdetailsbyId(@PathVariable Integer id ) {
		Founders_friend  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Founders_friend/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}











}